org.apache.hc.client5.http.impl.auth

## Class NTLMEngineException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.hc.core5.http.HttpException
      - - org.apache.hc.core5.http.ProtocolException
        - - org.apache.hc.client5.http.auth.AuthenticationException
          - - org.apache.hc.client5.http.impl.auth.NTLMEngineException

All Implemented Interfaces:
  Serializable

Deprecated.
Do not use.

    @Deprecated
    public class NTLMEngineException
    extends AuthenticationException

Signals NTLM protocol failure.

Since:
  4.0
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`NTLMEngineException()` Deprecated.
`NTLMEngineException(String message)` Deprecated. Creates a new NTLMEngineException with the specified message.
`NTLMEngineException(String message, Throwable cause)` Deprecated. Creates a new NTLMEngineException with the specified detail message and cause.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### NTLMEngineException

    public NTLMEngineException()

Deprecated.

#### NTLMEngineException

    public NTLMEngineException(String message)

Deprecated.
Creates a new NTLMEngineException with the specified message.

Parameters:
  `message` - the exception detail message

#### NTLMEngineException

    public NTLMEngineException(String message,
                               Throwable cause)

Deprecated.
Creates a new NTLMEngineException with the specified detail message and cause.

Parameters:
  `message` - the exception detail message
  `cause` - the `Throwable` that caused this exception, or `null` if the cause is unavailable, unknown, or not a `Throwable`